{
  "name": "@nice/mindmap",
  "version": "0.13.0",
  "main": "./dist/index.js",
  "module": "./dist/index.mjs",
  "types": "./dist/index.d.ts",
  "license": "MIT",
  "scripts": {
    "build": "tsup",
    "dev": "tsup --watch",
    "clean": "rimraf dist",
    "lint": "eslint src/",
    "format": "prettier --write .",
    "types": "npx -p typescript tsc index.js --declaration --allowJs --emitDeclarationOnly --outDir types --target es2017 --skipLibCheck & node ./bin/createPluginsTypeFiles.js",
    "wsServe": "node ./bin/wsServer.mjs"
  },
  "dependencies": {
    "@svgdotjs/svg.js": "3.2.0",
    "deepmerge": "^1.5.2",
    "eventemitter3": "^4.0.7",
    "jszip": "^3.10.1",
    "katex": "^0.16.8",
    "mdast-util-from-markdown": "^1.3.0",
    "pdf-lib": "^1.17.1",
    "quill": "^2.0.3",
    "tern": "^0.24.3",
    "uuid": "^9.0.0",
    "ws": "^7.5.9",
    "xml-js": "^1.6.11",
    "y-webrtc": "^10.2.5",
    "yjs": "^13.6.8"
  },
  "keywords": [
    "javascript",
    "svg",
    "mind-map",
    "mindMap",
    "MindMap"
  ],
  "devDependencies": {
    "@types/dagre": "^0.7.52",
    "@types/katex": "^0.16.7",
    "@types/mdast": "^4.0.4",
    "@types/node": "^20.3.1",
    "@types/react": "18.2.38",
    "@types/react-dom": "18.2.15",
    "concurrently": "^8.0.0",
    "rimraf": "^6.0.1",
    "ts-node": "^10.9.1",
    "tsup": "^8.3.5",
    "typescript": "^5.5.4"
  }
}